automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-commit] [SCM] GNU Automake branch, master, updated. v1.11-759-


From: Stefano Lattarini
Subject: [Automake-commit] [SCM] GNU Automake branch, master, updated. v1.11-759-g8d21bc1
Date: Fri, 15 Apr 2011 15:10:25 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".

http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=8d21bc19ee310898e5823e00de04add96f66c9b3

The branch, master has been updated
       via  8d21bc19ee310898e5823e00de04add96f66c9b3 (commit)
       via  a937127aa2ed5f831459716f7f922c894e3e4eb2 (commit)
       via  8a6f52db53b56b717c8c8dacf5675330fe973840 (commit)
      from  531cc8718179f1bb738d5d1baafdcdfd419b0db3 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 8d21bc19ee310898e5823e00de04add96f66c9b3
Merge: 531cc87 a937127
Author: Stefano Lattarini <address@hidden>
Date:   Fri Apr 15 17:08:06 2011 +0200

    Merge branch 'maint'

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                           |    6 ++
 tests/Makefile.am                   |    2 +
 tests/Makefile.in                   |    4 +-
 tests/yacc-dist-nobuild-subdir.test |   93 +++++++++++++++++++++++++++++++++++
 4 files changed, 104 insertions(+), 1 deletions(-)
 create mode 100755 tests/yacc-dist-nobuild-subdir.test

diff --git a/ChangeLog b/ChangeLog
index afeac95..c4a7167 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,11 @@
 2011-04-12  Stefano Lattarini  <address@hidden>
 
+       coverage: test for automake bug#8485 (known regression)
+       * tests/yacc-dist-nobuild-subdir.test: New test.
+       * tests/Makefile.am (TESTS, XFAIL_TESTS): Update.
+
+2011-04-12  Stefano Lattarini  <address@hidden>
+
        test defs: define default $distdir (help reducing duplication)
        * tests/defs ($distdir): New variable, might be used in
        testcases checking distribution-related features.
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 852dbe9..3bfab8a 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -26,6 +26,7 @@ cond17.test \
 gcj6.test \
 override-conditional-2.test \
 pr8365-remake-timing.test \
+yacc-dist-nobuild-subdir.test \
 txinfo5.test
 
 
@@ -1018,6 +1019,7 @@ yacc-nodist.test \
 yaccpp.test \
 yaccvpath.test \
 yacc-d-vpath.test \
+yacc-dist-nobuild-subdir.test \
 yflags.test \
 yflags2.test \
 yflags-cmdline-override.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index 715054d..1e81e0b 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -286,7 +286,8 @@ EXTRA_DIST = ChangeLog-old gen-parallel-tests 
instspc-tests.sh \
        $(TESTS)
 XFAIL_TESTS = all.test auxdir2.test cond17.test gcj6.test \
        override-conditional-2.test pr8365-remake-timing.test \
-       txinfo5.test $(instspc_xfail_tests)
+       yacc-dist-nobuild-subdir.test txinfo5.test \
+       $(instspc_xfail_tests)
 parallel_tests = backcompat5-p.test check-exported-srcdir-p.test \
        check-tests-in-builddir-p.test check-tests_environment-p.test \
        check-p.test check10-p.test check11-p.test check12-p.test \
@@ -1279,6 +1280,7 @@ yacc-nodist.test \
 yaccpp.test \
 yaccvpath.test \
 yacc-d-vpath.test \
+yacc-dist-nobuild-subdir.test \
 yflags.test \
 yflags2.test \
 yflags-cmdline-override.test \
diff --git a/tests/yacc-dist-nobuild-subdir.test 
b/tests/yacc-dist-nobuild-subdir.test
new file mode 100755
index 0000000..b6811d7
--- /dev/null
+++ b/tests/yacc-dist-nobuild-subdir.test
@@ -0,0 +1,93 @@
+#! /bin/sh
+# Copyright (C) 2011 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Check that VPATH builds and "make distcheck" works with packages
+# using yacc and the automake 'subdir-objects' option.
+# Exposes automake bug#8485.
+
+required=yacc
+. ./defs || Exit 1
+
+set -e
+
+distdir=$me-1.0
+
+cat >> configure.in << 'END'
+AC_PROG_CC
+AM_PROG_CC_C_O
+AC_PROG_YACC
+AC_OUTPUT
+END
+
+mkdir sub
+
+cat > sub/parse.y << 'END'
+%{
+int yylex () { return 0; }
+void yyerror (char *s) { return; }
+%}
+%%
+x : 'x' {};
+%%
+int main (void)
+{
+  return yyparse ();
+}
+END
+
+cat > Makefile.am <<'END'
+AUTOMAKE_OPTIONS = subdir-objects
+noinst_PROGRAMS = foo bar
+foo_SOURCES = sub/parse.y
+bar_SOURCES = $(foo_SOURCES)
+AM_YFLAGS = -d
+bar_YFLAGS =
+END
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE -a
+
+./configure
+$MAKE distdir
+
+# Yacc-derived C source and header files must be built and distributed
+
+test   -f sub/parse.c
+test   -f sub/parse.h
+test   -f sub/bar-parse.c
+test ! -r sub/bar-parse.h
+
+test   -f $distdir/sub/parse.c
+test   -f $distdir/sub/parse.h
+test   -f $distdir/sub/bar-parse.c
+test ! -r $distdir/sub/bar-parse.h
+
+# But they shouldn't be rebuilt in VPATH builds.
+
+mkdir $distdir/build
+chmod -R a-w $distdir
+cd $distdir/build
+chmod u+w .
+# Try to enable dependency tracking even with slow dependency
+# extractors, to improve coverage.
+../configure --enable-dependency-tracking YACC=false
+YACC=false $MAKE -e
+ls -l sub/*.[ch] && Exit 1
+
+env YACC=false DISTCHECK_CONFIGURE_FLAGS='YACC=false' $MAKE -e distcheck
+
+:


hooks/post-receive
-- 
GNU Automake



reply via email to

[Prev in Thread] Current Thread [Next in Thread]